org.eclipse.jgit.errors

## Class RemoteRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TransportException
        - - org.eclipse.jgit.errors.RemoteRepositoryException

All Implemented Interfaces:
  Serializable

    public class RemoteRepositoryException
    extends TransportException

Contains a message from the remote repository indicating a problem.

Some remote repositories may send customized error messages describing why they cannot be accessed. These messages are wrapped up in this exception and thrown to the caller of the transport operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteRepositoryException(URIish uri, String message)` Constructs a RemoteRepositoryException for a message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteRepositoryException

    public RemoteRepositoryException(URIish uri,
                             String message)

Constructs a RemoteRepositoryException for a message.

Parameters:
  `uri` - URI used for transport
  `message` - message, exactly as supplied by the remote repository. May contain LFs (newlines) if the remote formatted it that way.